package main

import (
	"testData/initialization"
)

func main() {
	initialization.InitConfig()
	initialization.InitLogger()
	initialization.InitPostgres()
	initialization.InitBaseDB()
	initialization.InitOracle()
	//initialization.InitMongoDB()

	initialization.InitCronListCron()
	initialization.InitEmailCron()
	initialization.InitTestFilesHandlerCron()

	//var fileHandles []*model.FileHandled
	//global.PostGreSQL.Where("lot = ? AND step = ?", "S3S592", "FT").Find(&fileHandles)
	//for _, fileHandle := range fileHandles {
	//	report := &model.Report{
	//		Step:        fileHandle.Step,
	//		Product:     fileHandle.Product,
	//		Lot:         fileHandle.Lot,
	//		Factory:     fileHandle.Factory,
	//		TestMachine: fileHandle.TestMachine,
	//		TestProgram: fileHandle.TestProgram,
	//		PBI:         fileHandle.PBI,
	//		SubBatch:    fileHandle.SubBatch,
	//		WaferID:     fileHandle.WaferID,
	//	}
	//	global.PostGreSQL.Create(report)
	//	global.PostGreSQL.Find(&report)
	//	test_data.SaveFT(report)
	//}
	//test_data.ExportFT()
	initialization.RunServer()
}
